Get contract transaction info by account address

Get the historical TRC20, TRC721 transfer records and authorization records of an account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

FieldTypeDescription
data[i].transaction_idStringTransaction hash.
data[i].token_info.symbolStringTRC-20 token symbol.
data[i].token_info.addressStringTRC-20 contract address.
data[i].token_info.decimalsIntegerTRC-20 token decimals.
data[i].token_info.nameStringTRC-20 token name.
data[i].block_timestampLongThe block timestamp. (Unit: millisecond)
data[i].fromStringThe from address of the transaction.
data[i].toStringThe to address of the transaction.
data[i].typeStringThe name of the TRC-20 contract function called. (e.g., transfer, approve)
data[i].valueStringThe amount of TRC-20 token transferred in the call. (Unit: sun)
successBooleanWhether the request was successful.
meta.atLongThe response timestamp. (Unit: millisecond)
meta.page_sizeIntegerThe number of items returned on the current page.
meta.fingerprintStringThe fingerprint for paginating to the next page.
meta.links.nextStringThe URL for the next page of results.
Path Params
string
required

The account address (Format: Base58 or Hex). Example: TFtbBrsWw5DGHoKQE8VY2WzTY3VnanQ2hz

Query Params
boolean

Set to true to return only confirmed transactions; set to false to return both confirmed and unconfirmed transactions. Cannot be used simultaneously with only_unconfirmed. (Default: false)

boolean

Set to true to return only unconfirmed transactions; set to false to return both confirmed and unconfirmed transactions. Cannot be used simultaneously with only_confirmed. (Default: false)

int32

The maximum number of transactons to return per page. (Default: 20, Max:200)

string

The fingerprint for pagination, obtained from the meta.fingerprint field of a previous response. Note: When using fingerprint, all other parameters must remain the same.

string

Specifies the sort order. block_timestamp,asc | block_timestamp,desc (default)

date-time

The minimum block timestamp to filter by. (Unit: milliseconds, Default: 0)

date-time

The maximum block timestamp to filter by. (Unit: milliseconds, Default: current time)

string

Contract address in Base58 or Hex format.

boolean

Set to true to return only transactions sent to the address specified in the path. (Default: false)

boolean

Set to true to return only transactions sent from the address specified in the path. (Default: false)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json